Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I have web server on fedora 16 nginx + php-fpm (PHP 5.3.8),all installed with yum from standard repo. I'm trying to use xapian.so module so I istalled php-xapian and added extension=xapian.so to my php config files in /etc/php.d.

After restarting php-fpm and execute php -m in command line im getting error

PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/xapian.so' - /usr/lib64/php/modules/xapian.so: undefined symbol: zend_error_noreturn in Unknown on line 0

My first thought was that it is problem with file location but xapian.so is where it should be /usr/lib64/php/modules/xapian.so

Have any one had similar problem with running xapian module on php 5.3 ??

How to make it work?

EDIT: I've tried to compile xapian 1.2.8 and install from repo version 1.2.7 both doesn't work. But version 1.2.5 compiled load xapian module without problems. So what is wrong with xapian >1.2.7 and php 5.3.8???

share|improve this question

1 Answer 1

up vote 1 down vote accepted

Xapian 1.2.8 and 1.2.7 doesnt work (first compiled second installed from base repo). Why I dont know. I wrote a letter to xapian mailing list but nobody answer.

After hours of struggling I tried compile version 1.2.5 and it work perfectly

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.